ifdef windir
HOSTARCH = Windows
CC = gcc
else
HOSTARCH = $(shell uname -s)
endif

ifndef LDFLAGS
LDFLAGS = -lm
ifeq ($(HOSTARCH),Linux)
LDFLAGS += -lrt
endif
endif

%.c:make_%.c
	${CC} ${CFLAGS} ${LDFLAGS} -o $*._ $<
	${CURDIR}/$*._ > $@

ifeq ($(HOSTARCH),Windows)
EXESUFFIX = .exe
.SUFFIXES: .exe

%.exe:%.c
	${CC} ${CFLAGS} ${LDFLAGS} -o $* $^
endif
