.PHONY: ${SUBDIRS} clean

all::	${SUBDIRS}

clean::
	$(foreach DIR, ${SUBDIRS}, make -C ${DIR} clean;)

$(foreach DIR, ${SUBDIRS}, $(eval ${DIR}: ; make -C ${DIR}))

define GOAL_MK
$(if $(filter-out ./, $(dir ${1})),
    ${1}: ; make -C $(dir ${1}) $(notdir ${1})
    .PHONY: ${1}, )
endef

$(foreach GOAL, ${MAKECMDGOALS}, $(eval $(call GOAL_MK, ${GOAL})))
